Subject: Ticket Assigned - Order number 9411085315 - COMPLAINT
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 05 Feb 2023 07:30:29 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order number 9411085315 - COMPLAINT  To Baby Shop Management ,

THIS IS AN OFFICAL COMPLAINT AND IMMEDIATE ACTION IS NECESSARY

We placed a return of product with an  Order number 9411085315 on the 18th January.

We were told that the item would be collected within 3-5 days.

No one came to collect the item; no calls from your the company you work with saying that they would collect the item - nothing!!!!!

We have then called  your customer service team and also spoken with your supervisors (yoursef is one the individuals) every day since then to confirm what is happening and we are repeatedly told the following:

  *   the pick up team are on their way; they never came
  *   the pick up team came to our flat but no one was there (this is hard to believe given my wife is pregnant, is a stay at home mother; additionally I have spoken with conceirge and confirmed that the pick-up company you use have not visited my building ever as they have never signed in to the sign in registry
  *   the pick-up company called my wifes phone; we have no missed calls
  *   we are promised a call back by customer team as they will investigate >no one calls back
  *   we are promised an update by the supervisors and no updates are receieved

15 days have past and still we are unable to get you to collect the return item - I have to tell you it is way beyond now a joke!!! I am unsure  how an organisation like yours can mess this up so badly.

Today I spoke with your cusrtomer service representative - Mahmoud he informed me that he attenpted to call 3 of your supervisor mulitple times and none of them wanted to take the call and offerd a call back "would call back after 2-3 hours" (i am calling at 19:20 hrs so doubtful this will happen.

I would appreciate a call back by your senior management so this can finally settled and we never have to deal with each other again

Kind regards,
Angelita and Frank

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5645092